#pragma once

#include <QDialog>
#include "ui_QToolProcessBarDialog.h"
#include "ImageOperatorBase.h"
class QToolProcessBarDialog : public QDialog, public  ShowProessAbstract
{
	Q_OBJECT
public:
	QToolProcessBarDialog(QWidget *parent = nullptr);
	~QToolProcessBarDialog();

private:
	Ui::QToolProcessBarDialogClass ui;

public:
	virtual void showProcess(double precent, QString tip) override;
	virtual void showToolInfo(QString tip) override;
};
